// ==========================================================================
// 数据表：oa_posts - 系统接口数据
// 备注：这个文件夹是保留最初未被代码所替代的高度抽象化的CURD接口代码，以供后续业务需要进行参考。
// ==========================================================================

TABLE_NAME = 'oa_posts';
COLUMN_KEY = 'post_id';
TABLE_FIELDS = '*';

'use api/lib/sql.js';

function getPlaceholders(condition) {
    const columnsArr = Object.keys(condition);
    const placeholders = [];
    const tempParams = [];
    columnsArr.forEach((item) => {
        if (item == 'postName') {
            placeholders.push(`post_name LIKE ?`);
            tempParams.push('%' + condition[item] + '%');
        } else if (item == 'postCode') {
            placeholders.push(`post_id = ?`);
            tempParams.push(condition[item]);
        } else if (item == 'status') {
            placeholders.push(`status = ?`);
            tempParams.push(condition[item]);
        }
    });

    return {
        placeholders: placeholders.join(' AND '),
        tempParams: tempParams,
    };
}

function main() {
    // 验证用户权限
    'use api/user/acl/excerpt.js'

    return base_curd();
}
